<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionProduct">
        <id column="id" property="id" />
        <result column="production_record_number" property="productionRecordNumber" />
        <result column="production_type" property="productionType" />
        <result column="production_workshop" property="productionWorkshop" />
        <result column="production_date" property="productionDate" />
        <result column="production_plan_number" property="productionPlanNumber" />
        <result column="quality_inspection_result" property="qualityInspectionResult" />
        <result column="pig_batch" property="pigBatch" />
        <result column="material_code" property="materialCode" />
        <result column="material_name" property="materialName" />
        <result column="measurement_unit" property="measurementUnit" />
        <result column="weight_quantity" property="weightQuantity" />
        <result column="peel_weight" property="peelWeight" />
        <result column="total_weight" property="totalWeight" />
        <result column="auxiliary_measurement_unit" property="auxiliaryMeasurementUnit" />
        <result column="auxiliary_quantity" property="auxiliaryQuantity" />
        <result column="specification_model" property="specificationModel" />
        <result column="warehouse" property="warehouse" />
        <result column="quantity" property="quantity" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
